CREATE TABLE gtg_ts_recvstandardreceipt (
    ETL_SEQUENCE_ID                NUMBER(19, 0) ,
    ETL_VERSION_NUMBER             NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER          NUMBER(18, 0) ,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    ACCTD_AMOUNT                   NUMBER        ,
    AMOUNT                         NUMBER        ,
    ANTICIPATED_CLEARING_DATE      DATE          ,
    APPROVAL_CODE                  VARCHAR2(320) ,
    ARCASHRECEIPTHISTORYALL_CB     VARCHAR2(256) ,
    ARCASHRECEIPTHISTORYALL_CD     TIMESTAMP(6)  ,
    ARCASHRECEIPTHISTORYALL_LUB    VARCHAR2(256) ,
    ARCASHRECEIPTHISTORYALL_LUD    TIMESTAMP(6)  ,
    ARCASHRECEIPTSALL_CB           VARCHAR2(256) ,
    ARCASHRECEIPTSALL_CD           TIMESTAMP(6)  ,
    ARCASHRECEIPTSALL_LUB          VARCHAR2(256) ,
    ARCASHRECEIPTSALL_LUD          TIMESTAMP(6)  ,
    CASH_RECEIPT_HISTORY_ID        NUMBER(18, 0) ,
    CASH_RECEIPT_ID                NUMBER(18, 0) ,
    COMMENTS                       VARCHAR2(4000),
    CONFIRMED_FLAG                 VARCHAR2(4)   ,
    CURRENCY_CODE                  VARCHAR2(60)  ,
    CUSTOMER_BANK_ACCOUNT_ID       NUMBER(18, 0) ,
    CUSTOMER_BANK_BRANCH_ID        NUMBER(18, 0) ,
    CUSTOMER_RECEIPT_REFERENCE     VARCHAR2(120) ,
    CUSTOMER_SITE_USE_ID           NUMBER(18, 0) ,
    DEPOSIT_DATE                   DATE          ,
    DOC_SEQUENCE_VALUE             NUMBER(18, 0) ,
    EXCHANGE_DATE                  DATE          ,
    EXCHANGE_RATE                  NUMBER        ,
    EXCHANGE_RATE_TYPE             VARCHAR2(120) ,
    FACTOR_DISCOUNT_AMOUNT         NUMBER        ,
    GL_DATE                        DATE          ,
    GL_POSTED_DATE                 DATE          ,
    ISSUER_BANK_BRANCH_ID          NUMBER(18, 0) ,
    ISSUER_NAME                    VARCHAR2(200) ,
    ISSUE_DATE                     DATE          ,
    LEGAL_ENTITY_ID                NUMBER(18, 0) ,
    ORGID                          NUMBER(18, 0) ,
    OVERRIDE_REMIT_ACCOUNT_FLAG    VARCHAR2(4)   ,
    PAYMENT_SERVER_ORDER_NUM       VARCHAR2(320) ,
    PAYMENT_TRXN_EXTENSION_ID      NUMBER(18, 0) ,
    PAY_FROM_CUSTOMER              NUMBER(18, 0) ,
    POSTING_CONTROL_ID             NUMBER(18, 0) ,
    POSTMARK_DATE                  DATE          ,
    RCVBSTDRCPTSTATE               VARCHAR2(120) ,
    RECEIPT_BATCH_ID               NUMBER(18, 0) ,
    RECEIPT_DATE                   DATE          ,
    RECEIPT_METHOD_ID              NUMBER(18, 0) ,
    RECEIPT_NUMBER                 VARCHAR2(120) ,
    RECEIVABLES_TRX_ID             NUMBER(18, 0) ,
    REMITTANCE_BANK_ACCOUNT_ID     NUMBER(18, 0) ,
    REMITTANCE_BATCH_ID            NUMBER(18, 0) ,
    REMIT_BANK_ACCT_USE_ID         NUMBER(18, 0) ,
    RESOURCE_ID                    NUMBER(18, 0) ,
    REVERSAL_CATEGORY              VARCHAR2(80)  ,
    REVERSAL_COMMENTS              VARCHAR2(960) ,
    REVERSAL_DATE                  DATE          ,
    REVERSAL_REASON_CODE           VARCHAR2(120) ,
    SET_OF_BOOKS_ID                NUMBER(18, 0) ,
    STATUS                         VARCHAR2(120) ,
    TAX_RATE                       NUMBER        ,
    TYPE                           VARCHAR2(80)  ,
    VAT_TAX_ID                     NUMBER(18, 0) ,
    ETL_SEQUENCE_ID                NUMBER(19, 0) ,
    ETL_VERSION_NUMBER             NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER          NUMBER(18, 0) ,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    ACCTD_AMOUNT                   NUMBER        ,
    AMOUNT                         NUMBER        ,
    ANTICIPATED_CLEARING_DATE      DATE          ,
    APPROVAL_CODE                  VARCHAR2(320) ,
    ARCASHRECEIPTHISTORYALL_CB     VARCHAR2(256) ,
    ARCASHRECEIPTHISTORYALL_CD     TIMESTAMP(6)  ,
    ARCASHRECEIPTHISTORYALL_LUB    VARCHAR2(256) ,
    ARCASHRECEIPTHISTORYALL_LUD    TIMESTAMP(6)  ,
    ARCASHRECEIPTSALL_CB           VARCHAR2(256) ,
    ARCASHRECEIPTSALL_CD           TIMESTAMP(6)  ,
    ARCASHRECEIPTSALL_LUB          VARCHAR2(256) ,
    ARCASHRECEIPTSALL_LUD          TIMESTAMP(6)  ,
    CASH_RECEIPT_HISTORY_ID        NUMBER(18, 0) ,
    CASH_RECEIPT_ID                NUMBER(18, 0) ,
    COMMENTS                       VARCHAR2(4000),
    CONFIRMED_FLAG                 VARCHAR2(4)   ,
    CURRENCY_CODE                  VARCHAR2(60)  ,
    CUSTOMER_BANK_ACCOUNT_ID       NUMBER(18, 0) ,
    CUSTOMER_BANK_BRANCH_ID        NUMBER(18, 0) ,
    CUSTOMER_RECEIPT_REFERENCE     VARCHAR2(120) ,
    CUSTOMER_SITE_USE_ID           NUMBER(18, 0) ,
    DEPOSIT_DATE                   DATE          ,
    DOC_SEQUENCE_VALUE             NUMBER(18, 0) ,
    EXCHANGE_DATE                  DATE          ,
    EXCHANGE_RATE                  NUMBER        ,
    EXCHANGE_RATE_TYPE             VARCHAR2(120) ,
    FACTOR_DISCOUNT_AMOUNT         NUMBER        ,
    GL_DATE                        DATE          ,
    GL_POSTED_DATE                 DATE          ,
    ISSUER_BANK_BRANCH_ID          NUMBER(18, 0) ,
    ISSUER_NAME                    VARCHAR2(200) ,
    ISSUE_DATE                     DATE          ,
    LEGAL_ENTITY_ID                NUMBER(18, 0) ,
    ORGID                          NUMBER(18, 0) ,
    OVERRIDE_REMIT_ACCOUNT_FLAG    VARCHAR2(4)   ,
    PAYMENT_SERVER_ORDER_NUM       VARCHAR2(320) ,
    PAYMENT_TRXN_EXTENSION_ID      NUMBER(18, 0) ,
    PAY_FROM_CUSTOMER              NUMBER(18, 0) ,
    POSTING_CONTROL_ID             NUMBER(18, 0) ,
    POSTMARK_DATE                  DATE          ,
    RCVBSTDRCPTSTATE               VARCHAR2(120) ,
    RECEIPT_BATCH_ID               NUMBER(18, 0) ,
    RECEIPT_DATE                   DATE          ,
    RECEIPT_METHOD_ID              NUMBER(18, 0) ,
    RECEIPT_NUMBER                 VARCHAR2(120) ,
    RECEIVABLES_TRX_ID             NUMBER(18, 0) ,
    REMITTANCE_BANK_ACCOUNT_ID     NUMBER(18, 0) ,
    REMITTANCE_BATCH_ID            NUMBER(18, 0) ,
    REMIT_BANK_ACCT_USE_ID         NUMBER(18, 0) ,
    RESOURCE_ID                    NUMBER(18, 0) ,
    REVERSAL_CATEGORY              VARCHAR2(80)  ,
    REVERSAL_COMMENTS              VARCHAR2(960) ,
    REVERSAL_DATE                  DATE          ,
    REVERSAL_REASON_CODE           VARCHAR2(120) ,
    SET_OF_BOOKS_ID                NUMBER(18, 0) ,
    STATUS                         VARCHAR2(120) ,
    TAX_RATE                       NUMBER        ,
    TYPE                           VARCHAR2(80)  ,
    VAT_TAX_ID                     NUMBER(18, 0) ,
    CONSTRAINT pk_gtg_ts_recvstandardreceipt PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
